# Class RenameProcessor

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.ltk.core.refactoring.participants.RefactoringProcessor
org.eclipse.ltk.core.refactoring.participants.RenameProcessor

All Implemented Interfaces:
  `IAdaptable`

public abstract class RenameProcessor extends RefactoringProcessor
A special processor that performs rename operations. A rename processor is responsible for actually renaming the element. Additionally it may update other resources of the same domain which are affected by the rename operation. For example, a Java method rename processor also updates all references in Java code to the method to be renamed.

This class should be subclassed by clients wishing to provide a special rename processor.

The main purpose of this class is type safety for the generic rename refactoring

Since:
  3.0

## Constructor Summary

Constructors
Constructor
Description
`RenameProcessor()`

## Method Summary

### Methods inherited from class RefactoringProcessor

`checkFinalConditions, checkInitialConditions, createChange, getElements, getIdentifier, getProcessorName, getRefactoring, isApplicable, loadParticipants, postCreateChange`

### Methods inherited from class PlatformObject

`getAdapter`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RenameProcessor

public RenameProcessor()